@charset "UTF-8";

/* =========================================
   Copyright © Hugo Costard - 2026  
========================================= */
:root {
  --white: #ffffff;
}

/* ======================================
   Fonts & Typography
====================================== */
body {
  margin: 0;
  font-family: "Recursive", sans-serif;
  font-size: 1.1rem;
  font-weight: 400;
  line-height: 1.85;
  text-align: left;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

/* ======================================
   Fonts & Typography
====================================== */
:root {
  --font-family-sans-serif: "Recursive", sans-serif;
  --font-family-paragraphes: "Recursive", sans-serif;
  --font-family-monospace: "Azeret Mono", monospace;
  }

/* ======================================
   Brand Colors
====================================== */
:root {
  --bleu-doux: #6ec1e4;
  --blue-picton: #4DAAD2;
  --cyan:  #17a2b8;
  --bs-cyan-clair: #A8DADC;
  --citron: #cdb416;
  --bleu-outremer: #212529;
  --violet: #6f42c1;
  --rose: #e83e8c;
  --pink-highlight: #ff6b81;
  --rouge: #dc3545;
  --warning: #ffc107;
  --orange: #ee6c4d;
  --orange-clair: #e9e6df;
  --success: #28a745;
  --green-kolor: #2ecc71;
  --vert-feuille: #637901;
  --gray-bleu: #263238;
  --secondary: #6c757d;
  --info: #7d8f9b;
  --white: #ffffff;
  --text-white: #ffffff;
  --light: #f8f9fa;
  --gray-clair: #a9b4c2;
  --gray-middle: #ABB9B3;
  --gray-sombre: #5e6572;
  --gray-dark: #2A2A2A;
  --bg-beige: #e4ddd7;
  --saumon: rgba(230, 221, 219, 1); /* #e6dddb */
  --nav-bg: #ffffff;
  --nav-link-color: #ffffff;
  --nav-link-scroll: #212529;
  --bs-header-bg-rgb: 255, 255, 255;
}

/* ======================================
   BREAKPOINTS
====================================== */

:root {
  --bs-breakpoint-xs: 0;
  --bs-breakpoint-sm: 576px;
  --bs-breakpoint-md: 768px;
  --bs-breakpoint-lg: 992px;
  --bs-breakpoint-xl: 1200px;
  --bs-breakpoint-xxl: 1400px;
}

body @media (min-width: 1440px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    max-width: 1399.98px;
  }
}

body @media (min-width: 1200px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl {
    max-width: 1199.98px;
  }
}

/* @mediaquerie 992px */
body @media (min-width: 992px) {
  .container, .container-lg, .container-md, .container-sm {
    max-width: 991.98px;
  }

  body .blockquote {
  margin: 0 0 1rem;
  padding: 0 1rem;
  border-left: 4px solid var(--cyan) !important;
  font-size: 1.25rem;
  width: 80%;
  }

  body h2 {
  font-size: 4.75rem;
  font-weight: 700;
  text-align: left;
 }

}

/* @mediaquerie 768px */
body @media (min-width: 768px) {
  .container, .container-md, .container-sm {
    max-width: 767.98px;
  }
  #education pt-1 h2, .h2 {
  font-size: 2.5rem;
  font-weight: 700;
  text-align: left;
}
  body h2 {
  font-size: 4.75rem;
  font-weight: 700;
  text-align: left;
 }
}

body @media (min-width: 576px) {
  .container, .container-sm {
    max-width: 575.98px;
  }
  .bg-contact { 
  min-height: 40vh; }

  .bg-education h2, .h2 {
  font-size: 3.5rem;
  font-weight: 700;
}

body .citation .blockquote {
  margin: 0 0 1rem;
  padding: 0 1rem;
  border-left: 4px solid var(--cyan) !important;
  font-size: 1.25rem;
  width: 70%;
}

.bg-contact {
  background-color: color(--bs-gray-100);
  height: 80vh;
  min-width: 30vh;
  position: relative;
}

#education h2, .h2 {
  font-size: 2.5rem;
  font-weight: 700;
  text-align: left;
}

/*#navbarResponsive {
  transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
}*/

}


/* ======================================
   BOX SIZING + CLASSES
====================================== */
*,
*::before,
*::after {
  box-sizing: border-box;
}

.typo600{
  font-weight:600;
}

#contact .actions{
position: absolute;
  bottom: 0;
  right: -60px;
  z-index: 2;
  transition: all .3s ease;
}


body .mt-3 {
  margin-top: 1rem !important;
  background-color: var(--white);
  border-radius: 12px;
}

body .bg-secondary {
  --bs-bg-opacity: 0;
}

/* ======================================
   LINKS & HOVER
====================================== */
body a {
  transition: color 0.3s ease;
  color: var(--gray-dark);`
  text-decoration:underline;
}

body a:hover {
  color: var(--citron);
  text-decoration:none;
}

body a:active {
  color: var(--cyan);
  text-decoration:none;
}

/* ======================================
   HEADINGS - PARAGRAPHES - LISTES
====================================== */
body h1, body h2 {
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}

body h1, body h2, body .h4, body .h5, body .h6 {
  margin-bottom: 0.5rem;
  font-family: "gf_Recursive variant0", Tofu;
  font-weight: 800;
  line-height: 1.2;
  font-size: 5.0rem;
  /*font-size: 4.5rem;*/
}

body h1, body .h1 {
  font-size: 5.5rem;
  margin-top: 2rem;
}

/* ======================================
   SECTION INTRO
====================================== */
#intro{
  padding-top: 10rem;
}

.bg-intro {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/citrons.jpg");
  overflow: hidden;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
}

.bg-oranges {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0.75) 100%), url("../../assets/img/oranges.jpg");
  overflow: hidden;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
}

.bg-passion {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/passion.jpg");
  overflow: hidden;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
}

h1.home span::before {
  content: "";
  background: var(--citron);
  width: 42rem;
  height: 8px;
  position: absolute;
  top: 5rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: -1;
}


@media (min-width: 992px) {
  #intro{
  padding-top: 10rem;
}
 .bg-intro { 
  min-height: 80vh;
  padding-top: 10rem; 
  }

  body h1, .h1 {
  font-size: 5rem;
  font-weight: 700;
  text-align: center;
  }

  h1.home span::before {
  content: "";
  background: var(--citron);
  width: 50rem;
  height: 8px;
  position: absolute;
  top: 4.2rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: -1;
  }
}

@media (max-width: 768px) {
  #intro .bg-intro { 
  min-height: 40vh; 
  }
  body h1 {
  font-size: 3.5rem;
  text-align: center !important;
  }
  h1.home span::before {
  content: "";
  background: var(--citron);
  width: 17rem;
  height: 8px;
  position: absolute;
  top: 2.5rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: -1;
  }
  .bg-intro {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/citrons.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  max-width:992px;
  position: relative;
  overflow: hidden;
  }

  .bg-oranges {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0.75) 100%), url("../../assets/img/oranges.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  max-width:992px;
  position: relative;
  overflow: hidden;
  }

  .bg-passion {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/passion.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  max-width:992px;
  position: relative;
  overflow: hidden;
  }

}

@media (max-width: 576px) {
  #intro .bg-intro { 
    min-height: 60vh;
  }
  body h1 {
  font-size: 3rem;
  text-align: center !important;
  }
  h1.home span::before {
  content: "";
  background: var(--citron);
  width: 17rem;
  height: 8px;
  position: absolute;
  top: 2.5rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: -1;
  }
  .bg-intro {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/citrons.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  position: relative;
  overflow: hidden;
  }
  .bg-oranges {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0.75) 100%), url("../../assets/img/oranges.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  position: relative;
  overflow: hidden;
  }
  .bg-passions {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(0, 0, 0, 0.65) 100%), url("../../assets/img/passion.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  position: relative;
  overflow: hidden;
  }
}

/* ======================================
   SECTION CONTACT
====================================== */
#contact h2 {
color: var(--gray-dark);
}

/* section */
#contact{
  overflow: hidden;
}

.bg-contact {
/*background-color: #ced4da;*/
background-color: var(--bs-gray-100);
height: 80vh;
min-width: 60vh;
position: relative;
}

@media (max-width: 576px) {
  .bg-contact { min-height: 40vh; }
}
@media (min-width: 992px) {
  .bg-contact { 
    min-height: 100vh;
    /*padding: 44rem;*/
   }
   .feature-box {padding: 44rem;}
}

h2, .h2 {
font-size: 4.5rem;
font-weight: 700;
text-align: left;
}

body h4, body h5, body h6 {
margin-top: 0;
margin-bottom: 0.5rem;
}

body h4, body h5, body h6, body .h4, body .h5, body .h6 {
margin-bottom: 0.5rem;
font-family: "Recursive", sans-serif;
font-weight: 800;
line-height: 1.7;
text-align: left;
color: var(--gray-sombre);
}

/* H3 avec */

body h3, body .h3 {
margin-bottom: 0.5rem;
margin-top: 1rem;
font-family: "Recursive", sans-serif;
font-weight: 800;
line-height: 1.2;
text-align: left;
color: var(--bs-gray-700);
font-size: 3rem;
}

body h3 a {
  text-decoration: none;
  transition: color 0.3s ease;
  color: var(--gray-sombre);
  margin:0;
}

body h3 a:hover {
  text-decoration: underline;
  color: var(--citron);
}

/* CLASSES */

body p {
margin-top: 0;
margin-bottom: 1.8rem;
line-height: 1.5rem;
}

body .text-muted {
color: var(--gray-sombre) !important;
font-size: 1.2rem;
line-height: 1.8rem;
text-align:left;
}

body .text-small-kolorslab {
  color: var(--gray-middle);
  font-size: .95rem ;
}

body .nav-link a{
  text-decoration:none;
  font-weight: 600;
  transition: color 0.3s ease;
  color:var(--white);
}

body .nav-link :hover{
  text-decoration:none;
  color:var(--citron);
}

/* Divider lines */

body hr.divider {
max-width: 3.25rem;
border-width: 0.2rem;
border-color: var(--gray-sombre);
border-radius: 100%;
opacity: .5;
}

body hr.light {
border-color: var(--white);
}

hr.dark {
border-color: var(--gray-dark);
}

body .rounded-kolorslab {
  border-radius: 20px;
}

body .text-dark {
  color: var(--gray-dark);
}

.ClasseCitron{
  color:var(--citron);
}


/* ======================================
   Buttons (focus active hover etc ... à renseigner)
====================================== */


/* button secondary */
/*a.bg-secondary:hover, a.bg-secondary:focus,
button.bg-secondary:hover,
button.bg-secondary:focus {
background-color: var(--gray-sombre) !important;
}*/

/* btn primary */

body .btn-primary {
  --bs-btn-color: var(--white);
  background-color: var(--cyan);
  --bs-btn-border-color: var(--cyan);
}

body .btn-primary:hover {
  --bs-btn-color: var(--cyan);
  background-color: var(--gray-dark);
  --bs-btn-border-color: var(--gray-dark);
}
/* ----- */

/* button secondary */
body .btn-secondary, body btn a.secondary active{
color: var(--white);
background-color: var(--citron);
border-color: var(--citron);
}

body .btn-secondary:hover, a.secondary:focus{
color: var(--citron);
background-color: var(--bs-black);
border-color: var(--bs-black);
}
/* ----- */

/* button outline */

/*body .btn-outline-primary*/

/* ----- */

/* btn-custom */
.btn-custom {
  background-color: var(--blue-picton);
  color: var(--white);
  border-radius: 8px;
  transition: background-color 0.3s;
}
.btn-custom:hover {
  background-color: var(--green-kolor);
}
/* ----- */

/* ======================================
   FOOTER LISTES
====================================== */
/* mise en page pied de page sous HR */
body .flex-column {
  flex-direction: column !important;
}

#footer-kolorslab .nav-item ul {
display: inline-block;
margin-right: 12px;
}

#footer-kolorslab .nav-item li {
display: inline-block;
margin-right: 12px;
margin-bottom: 15px;
}

#footer-kolorslab .nav-link .active {
  color: var(--blue-picton);
  text-decoration: underline;
}

#footer-kolorslab .nav-link li a {
background-color: var(--info);
color: var(--white);
height: 32px;
line-height: 32px;
text-align: center;
width: 32px;
display: inline-block;
-webkit-transition: all .4s ease-in-out;
-moz-transition: all .4s ease-in-out;
transition: all .4s ease-in-out;
}

#footer-kolorslab .nav-link li a:hover {
color: var(--gray-clair);
text-decoration: underline;
transform: translateY(-5px);
}

.dark{
  background-color: #212529;
}
/* ======================================
section séparation stripes
====================================== */

.stripes{
  height: 20px;
  background: repeating-linear-gradient(-36deg,#495057,#495057 7px,#6c757d 0,#6c757d 16px);
}

/* ======================================
   WOW ANIMATIONS
====================================== */
.wow {
visibility: hidden;
}

.wow.fadeInDown {
animation-name: fadeInDown;
}
.wow.fadeInUp {
animation-name: fadeInUp;
}

@keyframes fadeInDown {
0% { opacity: 0; transform: translateY(-20px); }
100% { opacity: 1; transform: translateY(0); }
}

@keyframes fadeInUp {
0% { opacity: 0; transform: translateY(20px); }
100% { opacity: 1; transform: translateY(0); }
}

/* ======================================
   MODAL FULLSCREEN
====================================== */
body .modal-fullscreen .modal-footer, .modal-fullscreen .modal-header {
  border-radius: 0;
  padding: 1rem 10rem;
  font-family: "Recursive", sans-serif;
}

body .modal-fullscreen .modal-body {
  overflow-y: auto;
  padding: 0 10rem;
}

body .modal-footer {
  display: flex;
  flex-shrink: 0;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-end;
  padding: calc(var(--bs-modal-padding) - var(--bs-modal-footer-gap) * .5);
  background-color: var(--grisfonce);
  border-top: var(--bs-modal-footer-border-width) solid var(--bs-modal-footer-border-color);
  border-bottom-right-radius: var(--bs-modal-inner-border-radius);
  border-bottom-left-radius: var(--bs-modal-inner-border-radius);
}



body .fixed-top {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1030;
}

/* ======================================
   BACK-TO-TOP
====================================== */
body .back-to-top {
  position: fixed;
  bottom: 20px;
  right: 10px;
  text-decoration: none;
}

body .back-to-top i {
width: 50px;
height: 50px;
border-radius: 50%;
display: block;
background-color: var(--gray-sombre);
color: var(--white);
padding: 10px;
cursor: pointer;
z-index: 1030;
transition: opacity 0.3s;
-webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

body .ti-arrow-up:before {
    content: "\e627";
    margin: 0 auto;
    position: fixed;
  bottom: 35px;
  right: 27px;
}

body .back-to-top :hover{
  background-color: var(--gray-clair);
  color: var(--white);
}

/* ======================================
   SECTIONS
====================================== */
section {
  min-height: 100vh;
  padding: 80px 20px;
}

section h1 {
  margin-top: 40px;
}

/* .bg-secondary */
.bg-secondary {
  background-color: var(--gray-sombre) !important;
}

/* ======================================
   SECTION SKILLS
====================================== */
#skills{
  padding-top: 6rem;
}

#skills h2 {
  color: var(--gray-dark);
}

.soft-skills {
  position: relative;           
  background-color: linear-gradient(180deg, var(--cyan) 0%, var(--bleu-doux) 100%);
  background-size: cover;
  background-position: center;
  color: var(--gray-dark);                 
  overflow: hidden; 
}

/* Pattern arrière-plan */
.soft-skills::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../../assets/img/pattern-skills.svg") repeat;
  background-size: 40px 40px;  
  opacity: 0.18;
  pointer-events: none;
  z-index: 0;
}

/* Overlay léger pour améliorer la lisibilité du texte */
.bg-skills::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 0;
}

/* Contenu au-dessus */
.softs-skills > * {
  position: relative;
  z-index: 1;
  color: var(--gray-dark);
}

/* ======================================
   CARDS
====================================== */
.feature-box {
  display: flex;            /* Flex horizontal */
  align-items: flex-start;   /* aligne icon et texte en haut */
  flex-wrap: nowrap;         /* interdit de passer en ligne suivante */
  background-color: var(--white);
  border: 1px solid;
  border-color: var(--gray-clair);
  width: 100%;
  transition: transform 0.3s ease;
}

.feature-box:hover {
transform: translateY(-5px);
background-color: var(--light);
}

/*.feature-box {
  display: flex;
  align-items: flex-start;
  flex-wrap: nowrap;
  background-color: var(--white);
  border: 1px solid;
  border-color: var(--gray-clair);
  width: 40%;
  transition: transform 0.3s ease;
}*/

.icon-square {
  flex-shrink: 0;           /* empêche l’icône de rétrécir */
  width: 60px;              /* largeur fixe */
  height: 60px;             /* hauteur fixe */
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 1rem;       /* espace entre icon et texte */
}

.feature-box > div:last-child {
  flex: 1;                   /* le texte prend le reste de la largeur */
}

/* skills hover  */
.feature-skills {
  display: flex;            /* Flex horizontal */
  align-items: flex-start;   /* aligne icon et texte en haut */
  flex-wrap: nowrap;         /* interdit de passer en ligne suivante */
  background-color: var(--white);
  border: 1px solid;
  border-color: var(--gray-clair);
  width: 100%;
  transition: transform 0.3s ease;
}

.feature-skills:hover {
transform: translateY(-5px);
}

.feature-skills > div:last-child {
  flex: 1; /* le texte prend le reste de la largeur */
}

/* ======================================
   PICTOS
====================================== */

/* SOFT SKILLS */
.brankic-3d-glasses::before {
content: "\e65c";
color: var(--warning) !important ;
opacity: .7;
}

/* UX DESIGN */
.brankic-layout6:before {
content: "\e67e";
color: var(--gray-clair);
}

/* UI DESIGN */
.brankic-pencil:before {
content: "\e6f9";
color: var(--success) !important ;
opacity: .7;
}

/* PRODUCT DESIGNER */
.brankic-atom:before {
content: "\e6cd";
color: var(--orange) !important ;
opacity: .7;
}

/* ======================================
   SECTION GRAFIK (Ananas + Citation)
====================================== */
#grafik{
  background-color: #000000;
  padding-top: 10rem;
}

.bg-grafik {
  padding-top: 10rem;
  background: url("../../assets/img/ananas.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 60vh;
  position: relative;
}

.citation{
  position:absolute;
  bottom:1rem;
  left: 2rem;
}

.blockquote {
  margin: 0 0 1rem;
  padding: 0 1rem;
  border-left: 4px solid var(--cyan) !important;
  margin-bottom: 1rem;
  font-size: 1.25rem;
  width: 60%;
}

@media (max-width: 576px) {
  .bg-grafik {
  padding-top: 10rem;
  background: url("../../assets/img/ananas.jpg");
  background-color: rgba(0, 0, 0, 0);
  background-position-x: 0%;
  background-position-y: 0%;
  background-repeat: repeat;
  background-attachment: scroll;
  background-size: auto;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  height: 100vh;
  min-width: 40vh;
  position: relative;
  overflow-x: hidden;
}
.citation{
  position:absolute;
  bottom:1rem;
  left: 2rem;
}

.blockquote {
  margin: 0 0 1rem;
  padding: 0 1rem;
  border-left: 4px solid var(--cyan) !important;
  margin-bottom: 1rem;
  font-size: 1.25rem;
  width: 80%;
}
}

@media (min-width: 992px) {
  .bg-grafik { min-height: 100vh; 
  }
  .blockquote {
  margin: 0;
  padding: 0 1rem;
  border-left: 4px solid var(--cyan) !important;
  margin-bottom: 1rem;
  font-size: 1.25rem;
  width: 50%;
}
.citation{
  position:absolute;
  bottom:0rem;
  left: 2rem;
}
}

/* ======================================
   SECTION EDUCATION
====================================== */
#education{
  padding-top:6rem;
}

.bg-education {
  position: relative;           
  background-image: linear-gradient(180deg, var(--cyan) 0%, var(--bleu-doux) 100%);
  background-size: cover;
  background-position: center;
  color: #fff;                              
}

/* Pattern arrière-plan */
.bg-education::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../../assets/img/pattern-skills.svg") repeat;
  background-size: 40px 40px;  
  opacity: 0.15;               
  pointer-events: none;
  z-index: 0;
}

/* Overlay léger pour améliorer la lisibilité du texte */
.bg-education::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.2);
  z-index: 0;
}

/* Contenu de la section au-dessus */
.bg-education > * {
  position: relative;
  z-index: 1;
  text-align: left; /* optionnel */
}

/* ======================================
   SECTION STUDYCASES
====================================== */
#studycases{
  padding-top: 10rem;
}

body #studycases h2 {
color: var(--gray-dark);
}

/* Ajout car mauvais centrage sur cette section à voir si mieux */
body #studycases .row {
  margin-left:0;
}

.figure {
display: inline-block;
transition: transform 0.3s ease;
text-align: center;
}

.figure:hover {
transform: scale(1.1);
}

body .figure-img {
margin:0;
line-height: 1;
background-color: var(--white);
}

body .figure-caption {
font-size: 1.1rem;
color: var(--gray-dark);
padding: 1rem;
border-color: var(--white);
border: 1px solid;
border-radius: 6px;
text-align: center;
}

body .figure-caption a, active {
font-size: 1.1rem;
color: var(--gray-dark);
padding: 1rem;
text-decoration:none;
text-transform:uppercase;
text-align: center;
}

body .figure-caption a:hover {
font-size: 1.1rem;
color: var(--citron);
padding: 1rem;
text-decoration:underline;
text-transform:uppercase;
text-align: center;
}

body .text-end {
text-align: left !important;
}

body a .d-flex {
  transition: all 0.25s ease;
  background-color: var(--bs-white);
  border-radius:12px;
}

a:hover .d-flex {
  transform: translateY(-4px);
}

a:hover h5 {
  color: var(--bs-primary);
}


/* Pictos décalage */
.pictos-float-left {
  float: left;
  height: 4rem;
  color: #335e60;
}

/* ======================================
   SECTION STRIPES (déco)
====================================== */
/* stripes footer */
section .bg-ligne{
min-height: 10px;
}

/* ======================================
   TOASTS
====================================== */
body .toast {
  --bs-toast-zindex: 1090;
  --bs-toast-padding-x: 0.75rem;
  --bs-toast-padding-y: 0.5rem;
  --bs-toast-spacing: 1.5rem;
  --bs-toast-max-width: 350px;
  --bs-toast-font-size: 0.875rem;
  --bs-toast-color: ;
  --bs-toast-bg: rgba(var(--cyan-clair), 0.85);
  --bs-toast-border-width: var(--bs-border-width);
  --bs-toast-border-color: var(--bs-border-color-translucent);
  --bs-toast-border-radius: var(--bs-border-radius);
  --bs-toast-box-shadow: var(--bs-box-shadow);
  --bs-toast-header-color: var(--bs-secondary-color);
  --bs-toast-header-bg: rgba(var(--cyan-clair), 0.85);
  --bs-toast-header-border-color: var(--bs-border-color-translucent);
  width: var(--bs-toast-max-width);
  max-width: 100%;
  font-size: var(--bs-toast-font-size);
  color: var(--bs-toast-color);
  pointer-events: auto;
  background-color: var(--bs-toast-bg);
  background-clip: padding-box;
  border: var(--bs-toast-border-width) solid var(--bs-toast-border-color);
  box-shadow: var(--bs-toast-box-shadow);
  border-radius: var(--bs-toast-border-radius);
}


body .bg-success{
  opacity: 1;
  background-color: var(--bs-cyan-clair);
}

/* ======================================
   Menu
====================================== */

body .bg-body-tertiary {
  --bs-bg-opacity: 1;
  box-shadow: 0 4px 20px rgba(0,0,0,0.085);
  background-color: rgba(var(--bs-header-bg-rgb), var(--bs-bg-opacity)) !important;
}

body .navbar-toggler {
  padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);
  font-size: var(--bs-navbar-toggler-font-size);
  line-height: 1;
  color: var(--citron);
  background-color: transparent;
  border: var(--bs-border-width) solid var(--bs-navbar-toggler-border-color);
  border-radius: var(--bs-navbar-toggler-border-radius);
  transition: var(--bs-navbar-toggler-transition);
}

body .navbar-toggler-icon {
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  vertical-align: middle;
  background-image: var(--bs-navbar-toggler-icon-bg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  color: var(--citron);
}


/* Navbar base */
  body #offcanvasNavbar {
    background-color: var(--white);
    transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
  }

  /* Navbar scrolled */
  body #offcanvasNavbar.navbar-scrolled {
   /* background-color: var(--nav-bg) !important;
    box-shadow: 0 4px 20px rgba(0,0,0,0.08);*/
  }

  /* Navbar base */
  /*#mainNav {
    background-color: transparent;
    transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
  }*/

  /* Navbar scrolled */
  body #offcanvasNavbar.navbar-scrolled {
    background-color: var(--nav-bg) !important;
    box-shadow: 0 4px 20px rgba(0,0,0,0.08);
  }

  /* Nav links */
  #offcanvasNavbar .nav-link {
    color: var(--nav-link-color);
    font-weight: 500;
    transition: color 0.3s ease;
  }
  #offcanvasNavbar.navbar-scrolled .nav-link {
    color: var(--nav-link-scroll);
  }

  /* Active link */
  #offcanvasNavbar .nav-link.active {
    color: var(--main-color) !important;
    font-weight: 600;
  }
  #offcanvasNavbar.navbar-scrolled .nav-link.active {
    color: var(--main-color) !important;
  }

  /* Nav links */
 /* #mainNav .nav-link {
    color: var(--nav-link-color);
    font-weight: 500;
    transition: color 0.3s ease;
  }
  #mainNav.navbar-scrolled .nav-link {
    color: var(--nav-link-scroll);
  }*/

  /* Active link */
  #mainNav .nav-link.active {
    color: var(--main-color) !important;
    font-weight: 600;
  }
  #mainNav.navbar-scrolled .nav-link.active {
    color: var(--main-color) !important;
  }

/* MENU */

/* Navbar base */
  #navbarResponsive {
    /*background-color: var(--white);*/
    transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
    /*box-shadow: 0 4px 20px rgba(0,0,0,0.08);*/
  }

 /* Navbar scrolled */
  #navbarResponsive.navbar-scrolled {
   /* background-color: var(--nav-bg) !important;
    box-shadow: 0 4px 20px rgba(0,0,0,0.08);*/
  }

  /* Navbar base */
  /*#navbarResponsive {
    background-color: transparent;
    transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;
  }*/

  /* Navbar blanche après scroll */
/* #navbarResponsive.navbar-scrolled {
  background-color: var(--white) !important;
  box-shadow: 0 4px 20px rgba(0,0,0,0.08);
}*/

.navbar-toggler i {
  pointer-events: none;
}

/* Navbar transparente */
  #navbarResponsive {
  /*position: fixed;*/
  top: 0;
  left: 0;
  width: 100%;
  transition: background-color .3s ease, box-shadow .3s ease;
  /*background-color: var(--white) !important;*/
  /*box-shadow: 0 4px 20px rgba(0,0,0,0.08);
  background-color: transparent;*/
  /*transition: background-color 0.3s ease, box-shadow 0.3s ease, padding 0.3s ease;*/
}



/* Liens par défaut */
/*#navbarResponsive .nav-item .nav-link {
  color: var(--gray-dark);
  font-weight: 600;
  transition: color 0.3s ease;
  text-transform: uppercase;
}*/

/* Liens navbar blanche */
/*#navbarResponsive.navbar-scrolled .nav-link {
  color: var(--gray-dark);
  text-transform:uppercase;
  /*background-color: var(--white);*/
}*/

/* Liens actifs */
/*#navbarResponsive .nav-link.active {
  color: var(--blue-picton); !important;
  text-decoration:underline;
}*/

/*#navbarResponsive .nav-link.hover {
  color: var(--cyan) !important;
}

#navbarResponsive .nav-link.focus {
  color: var(--gray-clair); !important;
  text-transform:uppercase;
}*/

/* ======================================
   Liste "social-icons"
====================================== */
/* affiliation */

.affiliation-icons a{
  display: inline-flex;
  width: 32px;
  height: 32px;
}

/* Hover léger */
.affiliation-icons a:hover .logo-simpleanalytics, .affiliation-icons a:hover .logo-coolors {
  transform: translateY(-2px);
  opacity: 0.85;
}

.logo-simpleanalytics{
  fill:#FF4F64;
  background-color:transparent;
  margin-right: .5rem;
  /*filter: grayscale(100%);*/
}

.logo-coolors {
  fill:#0066FF;
  background-color:transparent;
  margin-right:.5rem;
  
}

/* social */
.social-icons a {
  display: inline-flex;
  width: 32px;
  height: 32px;
}

.icon {
  width: 100%;
  height: 100%;
  fill: currentColor;
  transition: transform 0.15s ease, opacity 0.15s ease;
}

/* Hover léger */
.social-icons a:hover .icon {
  transform: translateY(-2px);
  opacity: 0.85;
}


#formToast {
  z-index: 99999;
}


/* ======================================
   END:: Kolorslab
====================================== */